# frozen_string_literal: true

# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'currency_work/version'

Gem::Specification.new do |spec|
  spec.name          = 'currency_work'
  spec.version       = Currency::VERSION
  spec.authors       = ['Rodrigo Otavio van den Berg Maia']
  spec.email         = ['rodrigovdb@gmail.com']

  spec.summary       = 'Convert currencies'
  spec.description   = 'Just a test with currencies'
  spec.homepage      = 'https://github.com/rodrigovdb/currency-gem'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler',  '~> 1.14'
  spec.add_development_dependency 'rake',     '~> 10.0'
  spec.add_development_dependency 'rspec',    '~> 3.0'

  spec.add_development_dependency 'pry',        '~> 0'
  spec.add_development_dependency 'reek',       '~> 4.7'
  spec.add_development_dependency 'rubocop',    '~> 0'
  spec.add_development_dependency 'simplecov',  '~> 0'
end
